Skip to main content
GET
Get XP leaderboard for an application

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

applicationId
string
required

Application sourcedId to rank XP for

Minimum string length: 1
period
enum<string>

Leaderboard period. Defaults to all-time.

Available options:
day,
week,
all-time
date
string

YYYY-MM-DD date for day/week periods. Week periods use Monday-Sunday UTC.

offset
string

Number of leaderboard rows to skip. Defaults to 0, max 10000.

limit
string

Maximum rows to return. Defaults to 100, max 100.

Response

Successful response

applicationId
string
required

Application sourcedId

period
enum<string>
required

Selected leaderboard period

Available options:
day,
week,
all-time
startDate
string | null
required

Inclusive YYYY-MM-DD start date

endDate
string | null
required

Inclusive YYYY-MM-DD end date

leaderboard
object[]
required
offset
integer
required

Number of rows skipped

limit
integer
required

Maximum rows returned

total
integer
required

Total leaderboard rows